## py-key-value-shared 0.2.8

=== debian/changelog ===
py-key-value-shared (0.2.8-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@kali.org>  Tue, 25 Nov 2025 15:59:57 +0100
