=== debian/control ===
Source: py-key-value-shared
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-all,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/strawgate/py-key-value
XS-Original-Vcs-Browser: https://gitlab.com/kalinux/packages/py-key-value-shared
XS-Original-Vcs-Git: https://gitlab.com/kalinux/packages/py-key-value-shared.git
Vcs-Git: https://gitlab.com/kalilinux/packages/py-key-value-shared.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/py-key-value-shared

Package: python3-key-value-shared
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Shared code between key-value-aio and key-value-sync (Python 3)
 This package contains the shared code between key-value-aio and
 key-value-sync.
 .
 This package installs the library for Python 3.
