=== debian/watch ===
Version: 5
Source: https://pypi.python.org/packages/source/p/py-key-value-shared/
Matching-Pattern: py_key_value_shared-@ANY_VERSION@@ARCHIVE_EXT@
