## py-key-value-shared 0.3.0

=== debian/changelog ===
py-key-value-shared (0.3.0-0kali3) kali-dev; urgency=medium

  * Fix autopkgtest

 -- Sophie Brun <sophie@kali.org>  Tue, 17 Feb 2026 14:38:18 +0100

py-key-value-shared (0.3.0-0kali2) kali-dev; urgency=medium

  * Fix Remove-unrecognized-arguments-on-pytest.patch

 -- Sophie Brun <sophie@kali.org>  Tue, 17 Feb 2026 14:04:44 +0100

py-key-value-shared (0.3.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.3.0
  * Refresh patches
  * Fix the build
  * Run tests during the build
  * d/control: remove useless XS-* fields
  * Bump Standards-Version 4.7.3 (no change)

 -- Sophie Brun <sophie@kali.org>  Tue, 17 Feb 2026 13:45:42 +0100
