=== debian/control ===
--- 
+++ 
@@ -10,11 +10,12 @@
  pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all,
+ python3-beartype,
+ python3-inline-snapshot,
+ python3-pytest
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/strawgate/py-key-value
-XS-Original-Vcs-Browser: https://gitlab.com/kalinux/packages/py-key-value-shared
-XS-Original-Vcs-Git: https://gitlab.com/kalinux/packages/py-key-value-shared.git
 Vcs-Git: https://gitlab.com/kalilinux/packages/py-key-value-shared.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/py-key-value-shared
